/*******************************************************************************
 * Copyright (c) 2005 Intel Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Andy Kaylor, Intel - Initial Implementation
 *
 * $Id: DumpCmdHandler.h,v 1.1 2005-09-26 18:36:09 akaylor Exp $
 *
 *******************************************************************************/ 

#include "tptp/client/ICommandHandler.h"
#include "tptp/client/INode.h"

using namespace TPTP::Client;

class DumpCommandHandler: public ICommandHandler
{
	public:
		DumpCommandHandler();
		virtual ~DumpCommandHandler();

		virtual void incomingCommand(INode* node, CommandElement* command);
};

